.TH MMROFF @MAN1EXT@ "@MDATE@" "groff @VERSION@"
.SH NAME
mmroff \- cross-reference preprocessor for GNU roff mm macro package
.
.
.\" Save and disable compatibility mode (for, e.g., Solaris 10/11).
.do nr mmroff_C \n[.C]
.cp 0
.
.
.\" ====================================================================
.\" Legal Terms
.\" ====================================================================
.\"
.\" Copyright (C) 1989-2018 Free Software Foundation, Inc.
.\"
.\" Permission is granted to make and distribute verbatim copies of this
.\" manual provided the copyright notice and this permission notice are
.\" preserved on all copies.
.\"
.\" Permission is granted to copy and distribute modified versions of
.\" this manual under the conditions for verbatim copying, provided that
.\" the entire resulting derived work is distributed under the terms of
.\" a permission notice identical to this one.
.\"
.\" Permission is granted to copy and distribute translations of this
.\" manual into another language, under the above conditions for
.\" modified versions, except that this permission notice may be
.\" included in translations approved by the Free Software Foundation
.\" instead of in the original English.
.
.
.\" ====================================================================
.SH SYNOPSIS
.\" ====================================================================
.
.SY mmroff
.OP \-x
.I groff-arguments
.YS
.
.
.\" ====================================================================
.SH DESCRIPTION
.\" ====================================================================
.
.I mmroff
is a simple preprocessor for
.IR groff ,
used for expanding cross references in
.IR m@TMAC_M_PREFIX@m ;
see
.IR groff_mm (@MAN7EXT@).
.
.I groff
is executed twice, first with
.B \-z
and
.B \-rRef=1
to collect all cross references and then to do the real processing
when the cross-reference file is up to date.
.
.
.\" ====================================================================
.SH OPTIONS
.\" ====================================================================
.
.TP
.B \-x
Just create the cross-reference file.
.
This can be used to refresh the cross-reference file; it isn't
always needed to have accurate cross references and by using this
option
.I groff
will only be run once.
.
.
.\" ====================================================================
.SH AUTHORS
.\" ====================================================================
.
.B mmroff
was written by
.MT jh@\:axis.se
Jrgen Hgg
.ME
of Lund, Sweden.
.
.
.\" ====================================================================
.SH "SEE ALSO"
.\" ====================================================================
.
.IR groff_mm (@MAN7EXT@),
.IR groff_mmse (@MAN7EXT@),
.IR groff (@MAN1EXT@),
.IR @g@troff (@MAN1EXT@),
.IR @g@tbl (@MAN1EXT@),
.IR @g@pic (@MAN1EXT@),
.IR @g@eqn (@MAN1EXT@)
.
.
.\" Restore compatibility mode (for, e.g., Solaris 10/11).
.cp \n[mmroff_C]
.
.
.\" Local Variables:
.\" mode: nroff
.\" coding: latin-1
.\" End:
.\" vim: set filetype=groff:
